#!/bin/bash

# clear_dict.sh - this file is part of Pendu, a simple hangman game written in GTK3+
# Copyright 2011-2012 RIVIÈRE Aurélien <aurelien.riv@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.


if [ $1 ] && [ $2 ]
then
    sed -e 'y/çàâÅÀÁÂáåãéêèÉÊÈëïîÍÎíìôöÒÔÓóòûùúÛÚüñ/CAAAAAAAAAEEEEEEEIIIIIIOOOOOOOUUUUUUN/' $1 | awk 'length($_)>5 && length($_)<21 {print toupper($0)}' | grep -v "[^A-Z]" > $2
    
    # I tried to check if the length is on a range but I failed : [5-21] is understood as 5->2 or 1
    # sed -e 'y/çàâÅÀÁÂáåãéêèÉÊÈëïîÍÎíìôöÒÔÓóòûùúÛÚüñ/CAAAAAAAAAEEEEEEEIIIIIIOOOOOOOUUUUUUN/' $1 | awk 'length($_) ~/[5-21]/ {print toupper($0)}' | grep -v "[^A-Z]" > $2
else
    echo "USAGE : ./clear_dict INPUT OUTPUT"
fi
exit 0
