/*  common.h - this file is part of Pendu, a simple hangman game written in GTK3+
    Copyright 2011-2012 RIVIÈRE Aurélien <aurelien.riv@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301, USA.
*/

#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <gtk/gtk.h>
#include <libintl.h>

#define _(string) gettext(string)

#ifndef PKG
#define PICTURES     "/usr/local/share/pendu/pictures/"
#define PIXMAPS      "/usr/local/share/pixmaps/"
#define DICT         "/usr/local/share/pendu/dict/"
#define TRANSLATIONS "/usr/local/share/locale"

#else
#define PICTURES     "/usr/share/pendu/pictures/"
#define PIXMAPS      "/usr/share/pixmaps/"
#define DICT         "/usr/share/pendu/dict/"
#define TRANSLATIONS "/usr/share/locale"
#endif

#define HOMEPAGE "http://free-apps.evoconcept.net"

#define ETC			 "/etc/"
#define CFG_PATH     ".pendu/"
#define LEVELS_CFG   "pendu_levels.cfg"
#define CFG_FILE      "pendu.conf"
#define STATS_FILE   "pendu.sta"

#define VERSION "1.8"

#ifndef COMMON
#define COMMON

typedef struct Level
{
	char wd[21], mask[21], lg[15];
	unsigned short img[13], level, maxHits, remHits, lmin, lmax, sfl, guessed;
} Level;

struct Niveau
{
	unsigned short vic, total;
};
typedef struct Stats
{
	struct Niveau l1;
	struct Niveau l2;
	struct Niveau l3;
	struct Niveau l4;
} Stats;

#endif
