/*  dict.c - this file is part of Pendu, a simple hangman game written in GTK3+
    Copyright 2011-2012 RIVIÈRE Aurélien <aurelien.riv@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301, USA.
*/

#include "dict.h"

void newWord (Level *lv)
{
    char path[50];
    unsigned short i, nLines, line;
    FILE* file = NULL;
    
    if      ( !strcmp(lv->lg, "es") ) nLines = 40178;
    else if ( !strcmp(lv->lg, "fr") ) nLines = 46109;
    else if ( !strcmp(lv->lg, "it") ) nLines = 35370;
    else nLines = 22639;

    sprintf(path, DICT "%s.dict", lv->lg);
    file = fopen(path, "r");

    do
    {
        fseek(file, 0, SEEK_SET);

        line = rand() % (nLines -1) +1;
		for (i=0; i != line; i++) fgets(lv->wd, 21, file);

        lv->wd[strlen(lv->wd)-1] = '\0';   /* Removing the EOL */

        for (i=0; i < strlen(lv->wd); i++)
        {
            if (lv->sfl && (i == 0 || i == strlen(lv->wd)-1)) lv->mask[i] = lv->wd[i];
            else if (lv->wd[i] >= 'A' && lv->wd[i] <= 'Z')    lv->mask[i] = '*';
            else 											  lv->mask[i] = lv->wd[i];
        }
        lv->mask[i] = '\0';
    } while (strlen(lv->wd) < lv->lmin || strlen(lv->wd) > lv->lmax);

    fclose(file);
}
