/*  levels.c - this file is part of Pendu, a simple hangman game written in GTK3+
    Copyright 2011-2012 RIVIÈRE Aurélien <aurelien.riv@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301, USA.
*/

#include "levels.h"
static int compare(const void *p1, const void *p2);

void chLevel(GtkWidget *w, Level *lv)
{
    static short i=0;
    i++;

    if(i%2 == 0) init_lv(lv, GPOINTER_TO_INT(g_object_get_data(G_OBJECT(w), "LEVEL")), 0);
}

static int compare(const void *p1, const void *p2) { return ( *(short*)p1 - *(short*)p2 ); }

void init_lv (Level *lv, short difficulty, short fake)
{    
	FILE *file = NULL;
    file = fopen(CFG_PATH LEVELS_CFG, "r");         /* Read per user config if any */
    if(!file) file = fopen(ETC LEVELS_CFG, "r");    /* Else read global config */
    
    do
        fscanf(file, "LEVEL %hu\n\tcoupMax = %hu\n\ttmin = %hu\n\ttmax = %hu\n\tsfl = %hu\n", &lv->level, &lv->maxHits, &lv->lmin, &lv->lmax, &lv->sfl);
    while (lv->level != difficulty);
    
    fclose(file);
    
    if(!fake)	/* If lv is a fake level created for the settings */
    {
		const short imgs[13] = {6, 10, 12, 1, 2, 5, 9, 11, 4, 0, 3, 8, 7};
		short i;
    
		for (i=0; i <= 12; i++)
		{
			if (i < lv->maxHits) lv->img[i] = imgs[i];
			else lv->img[i] = 15;
		}

		qsort(lv->img, 13, sizeof(lv->img[0]), compare);
    
		new_game(NULL, NULL);
	}
}
