/*    dict.test.c - this file is part of the test for Pendu, a simple hangman game written in GTK3+

      Copyright 2011 RIVIÈRE Aurélien <aurelien.riv@gmail.com>

      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 3 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
      MA 02110-1301, USA.
*/

#include <stdio.h>
#include <stdlib.h>
    
int main(int argc, char *argv[])
{
	FILE* dico = NULL;
	int file;
	int array[500];
    int err = 0;
    int line = 1;
    char car;
	
    if(argc < 2)
    {
        printf("Usage : dict.test FILE\n\n");
        exit(1);
    }
	
	for (file = 1; file < argc; file++)
	{
		dico = fopen(argv[file], "r");

		do {
			car = fgetc(dico);
			if (car == '\n' || car == EOF) line+=1;
			else if ((car < 'A' || car > 'Z') && car != '-')
			{
				int i, inarray =0;
				for (i = 0 ; i < err ; i++)
				{
					if(car == array[i])
					{
						inarray = 1;
						break;
					}
				}
				if (!inarray)
				{
					array[err]=car;
					err += 1;
					printf("%i : %c\n", line, car);
				}
			}
		}
		while (car != EOF);
		if(!err) printf("%s : Dictionary valid", argv[file]);
		printf("\n");
		
		fclose(dico);
	}
    return 0;
}
